using System;

namespace FabAccessAPI
{
    public enum Mechanism
    {
        PLAIN,
    }

    public static class MechanismString
    {
        public static string ToString(Mechanism mechanism)
        {
            switch(mechanism)
            {
                case Mechanism.PLAIN:
                    return "PLAIN";
                default:
                    throw new ArgumentException("Mechanism not known.");
            }
        }
    }

}
